求助 USB modem 驱动安装问题

为当前最终发行版之前的所有版本提供支持
回复
头像
goodfull
帖子: 29
注册时间: 2005-08-14 13:49
送出感谢: 0
接收感谢: 0

求助 USB modem 驱动安装问题

#1

帖子 goodfull » 2007-01-03 11:01

华为MT810
驱动光盘里 有
ADI_DRIVER
ADI_PPPOA
ADI_PPPOE
3个文件夹 是否都需要安装里面的程序?
文件夹内包含如下文件,希望知道的朋友能具体指导一下,因为从来没用过linux
昨天才安装的ubuntu,现在还不能上网,希望能从光盘将文件挂载,再到安装能具体说下
我的vpi/vci 在windows下是 8 35
在ubuntu下是不是 8 23?
请大家帮忙 谢谢!

ADI_DRIVER:
ADI_usb.usermap
EAGLE_USB_LINUX.tar
godhcp.Mandrake
godhcp.RH
godhcp.SUSE
Install_Mandrake9.0
Install_RH
Install_RH7.2
Install_RH7.3
Install_SUSE8.1
Makefile.Mandrake
Makefile.RH
Makefile.SUSE
Makefile.USER.7.2
Makefile.USER.other
stopip.Mandrake
stopip.RH
stopip.SUSE
Uninstall

ADI_PPPOA:
ADI_PPPOA.tar
PPP_INSTALL


ADI_PPPOE:
PPPOE_351.rpm
PPPOE_GUI_351.rpm
PPPOE_SRC_351.tar
PPPOE_SRC_SIG_351.tar.sig
PPPOEPATH
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#2

帖子 eexpress » 2007-01-03 11:12

说明得不清楚哦。
看了一下文件,似乎就是adi芯片的usb接口,adsl modem是吗
驱动应该就是eagle。源里面有,不需要另外的驱动。

vpi/vci参数不是你定的,是驱动依照国家的位置定的。不需要输入的。

weblog_entry.php?e=213
摸索下吧。有问题,别急着问,先搜索,自己搞懂。
● 鸣学
头像
goodfull
帖子: 29
注册时间: 2005-08-14 13:49
送出感谢: 0
接收感谢: 0

#3

帖子 goodfull » 2007-01-03 11:39

谢谢楼上的回复

我从昨天搜索到今天啊 看了很多论坛的帖子
还到网上搜索:
标题: 华为usb adsl安装手记

--------------------------------------------------------------------------------


经过一个晚上再加上一个上午,终于在linux上安装成功了huawei smartax mt810,
特写此手记,希望对大家有所帮助。

先说一下我的计算机:AMD sempron 3200,系统是Fedora4.0 x86_64。

华为的这一款usb adsl用的是Analog公司的Eagle-usb II 的芯片,在

http://faq.eagle-usb.org/wakka.php?wiki=ModemSupport

可以找到最新的驱动程序,我用的是EagleUsb230版本。

首先下载EagleUsb230驱动程序,我把它放在/home/username下(也可以放在其它的
地方)。

打开控制台,进入驱动程序所在目录,运行命令:


代码:
$tar -xvf eagle-usb-2.3.0.tar.tar
这时生成了目录eagle-usb-2.3.0.

进入该目录:


代码:
cd eagle-usb-2.3.0
运行如下命令进行编译:


代码:
./configure
make uninstall(如果已经装了驱动程序,先卸载;如果是第一次安装,跳过)
make
make install
注:必须的条件:
1.kernel-source:内核源码包
2.gcc:确保与内核所用的一致。比较:cat /proc/version ;gcc -v
3.必须有的:bash,gawk,make,lsusb
4.可能需要的:bc,automake,autoconf
如果软件包不能编译成功,可以试一下其它的版本。

如果编译通过,接下来就是进行设置了。

在设置之前,你必须要知道ISP的一些参数,如下:

atm Channel:
VPI
VCI
封装类型:
PPPoA LLC
PPPoA VCMUX
PPPoe LLC
PPPoe VCMUX

这些可以从windows里获得,我的参数是:


代码:
VPI:0
VCI:67(十进制)
PPPoe LLC
接下来运行命令(这个命令用来配置文件/etc/eagle-usb/eagle-usb.conf):

代码:
eagleconfig这时会询问你的ISP是什么.

需要特别注意的是在windows里获得的VPI和VCI参数是十进制的,
但在列表里显示的VPI和VCI参数都是十六进制的,你必须把十进制转换成十六进制.
例如我的VCI参数是67,转换成十六进制的43.

根据你的实际情况,查找相应的选项,然后键入.

这里会有一点小问题,虽然列表里有几个中国电信的参数列表,但是并没有我所需要的.
如果随便选择一个ISP,我的情况是接下来没有用户名和密码的提示,我又手工修改
/etc/eagle-usb/eagle-usb.conf文件,但还是无法进行拨号.(应该有其它办法,我还不知道).

因此,如果列表里没有你所需要的参数设置,需要另想办法.

用文本编辑器打开/usr/sbin/eagleconfig_front.bash,可以看到里面有刚才eagleconfig里
显示的列表,你可以随便找一个,譬如我找到CN20,然后手工修改VPI的数字为0,VCI的数字为43,
encapsulation(封装类型)为1(pppoe llc).保存退出.

再运行eagleconfig,选择CN20(刚才修改过的),
接下来就会询问你的用户名和密码,依次填入.

最后运行

代码:
startadsl好了.

要关闭运行命令

代码:
stopadsl
还有两个命令

代码:
eaglestat:查看adsl状态
eaglediag:查询诊断adsl
yohu
帖子: 955
注册时间: 2006-12-18 17:04
来自: 福建泉州
送出感谢: 0
接收感谢: 1 次

#4

帖子 yohu » 2007-01-03 11:41

vci/vpi是固定的,win下是多少,lin下就是多少,这个是各地的isp的。
头像
goodfull
帖子: 29
注册时间: 2005-08-14 13:49
送出感谢: 0
接收感谢: 0

#5

帖子 goodfull » 2007-01-03 13:20

sudo eagleconfig
后无反应!!
yohu
帖子: 955
注册时间: 2006-12-18 17:04
来自: 福建泉州
送出感谢: 0
接收感谢: 1 次

#6

帖子 yohu » 2007-01-03 13:51

楼主编译安装都好了吗?按照你自己找的文章编译成功了没?./configure是否有错误信息?
头像
goodfull
帖子: 29
注册时间: 2005-08-14 13:49
送出感谢: 0
接收感谢: 0

#7

帖子 goodfull » 2007-01-03 14:43

没呢 什么都没弄好!!55
yohu
帖子: 955
注册时间: 2006-12-18 17:04
来自: 福建泉州
送出感谢: 0
接收感谢: 1 次

#8

帖子 yohu » 2007-01-03 15:03

你要先编译安装好才运行eagleconfig,都没装当然没反应了,编译的时候有问题贴上错误信息再上来问,不然你这么问法没有人帮得了你。
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#9

帖子 eexpress » 2007-01-03 16:26

没看我给的链接哦。breezy的时候,源就有驱动了的。编译作什么
● 鸣学
回复

回到 “老旧版本支持”